#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 optics-extra
version:              0.4.2.1
visibility:           public
id:                   optics-extra-0.4.2.1-2E0n8I1Dg3EIiU5jLumeQj
key:                  optics-extra-0.4.2.1-2E0n8I1Dg3EIiU5jLumeQj
license:              BSD-3-Clause
maintainer:           optics@well-typed.com
author:               Andrzej Rybczak
synopsis:             Extra utilities and instances for optics-core
description:
    This package provides extra definitions and instances that extend the
    @<https://hackage.haskell.org/package/optics-core optics-core>@ package,
    without incurring too many dependencies.  See the
    @<https://hackage.haskell.org/package/optics optics>@ package for more
    documentation.

category:             Data, Optics, Lenses
abi:                  f9cd1388535d1f8408ec696baebd6b07
exposed:              True
exposed-modules:
    Data.ByteString.Lazy.Optics Data.ByteString.Optics
    Data.ByteString.Strict.Optics Data.HashMap.Optics
    Data.HashSet.Optics Data.Text.Lazy.Optics Data.Text.Optics
    Data.Text.Strict.Optics Data.Vector.Generic.Optics
    Data.Vector.Optics Optics.At Optics.Cons Optics.Each Optics.Empty
    Optics.Extra Optics.Extra.Internal.ByteString
    Optics.Extra.Internal.Vector Optics.Extra.Internal.Zoom
    Optics.Indexed Optics.Passthrough Optics.State
    Optics.State.Operators Optics.View Optics.Zoom

import-dirs:          /usr/lib/ghc-9.0.2/site-local/optics-extra-0.4.2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/optics-extra-0.4.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-optics-extra
hs-libraries:         HSoptics-extra-0.4.2.1-2E0n8I1Dg3EIiU5jLumeQj
depends:
    array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1 containers-0.6.4.1
    hashable-1.4.3.0-ESEjVh9IF6l3kXlrvIyche
    indexed-profunctors-0.1.1.1-FtNuykj07dlNVtQ9HC5Fh
    indexed-traversable-instances-0.1.1.2-6BJSZHYFOrbFM7l65pla3o
    mtl-2.2.2 optics-core-0.4.1.1-5FcboL3du43EysOlszhkQT text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy
    vector-0.13.0.0-HZxUYbi5cfB4SV8TkUpCM2

haddock-interfaces:
    /usr/share/doc/haskell-optics-extra/html/optics-extra.haddock

haddock-html:         /usr/share/doc/haskell-optics-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

